# HashGroupifyDistribution.PrivacyCondition.State (ARX Developer Documentation)

org.deidentifier.arx.framework.check.groupify

## Enum HashGroupifyDistribution.PrivacyCondition.State

- java.lang.Object
- - java.lang.Enum<HashGroupifyDistribution.PrivacyCondition.State>
  - - org.deidentifier.arx.framework.check.groupify.HashGroupifyDistribution.PrivacyCondition.State

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HashGroupifyDistribution.PrivacyCondition.State>
  Enclosing interface:
    HashGroupifyDistribution.PrivacyCondition

      public static enum HashGroupifyDistribution.PrivacyCondition.State
      extends java.lang.Enum<HashGroupifyDistribution.PrivacyCondition.State>

  The current state of the search condition

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABORT`
    `FULFILLED`
    `NOT_FULFILLED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HashGroupifyDistribution.PrivacyCondition.State` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HashGroupifyDistribution.PrivacyCondition.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FULFILLED

          public static final HashGroupifyDistribution.PrivacyCondition.State FULFILLED

    - #### NOT_FULFILLED

          public static final HashGroupifyDistribution.PrivacyCondition.State NOT_FULFILLED

    - #### ABORT

          public static final HashGroupifyDistribution.PrivacyCondition.State ABORT

  - ### Method Detail

    - #### values

          public static HashGroupifyDistribution.PrivacyCondition.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HashGroupifyDistribution.PrivacyCondition.State c : HashGroupifyDistribution.PrivacyCondition.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HashGroupifyDistribution.PrivacyCondition.State valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null